List Coworld secrets
curl --request GET \
--url https://softmax.com/api/observatory/v2/coworlds/secrets/{coworld_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/coworlds/secrets/{coworld_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/coworlds/secrets/{coworld_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"coworld_id": "<string>",
"coworld_name": "<string>",
"owner_user_id": "<string>",
"secret_name": "<string>",
"size_bytes": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Coworlds
List Coworld secrets
Lists secret names and metadata without returning secret values.
GET
/
v2
/
coworlds
/
secrets
/
{coworld_name}
List Coworld secrets
Authorizations
Bearer token issued by Softmax
Path Parameters
Coworld whose secrets will be listed.
Response
Successful Response
Canonical Coworld ID that owns the secret.
Coworld name that owns the secret.
User ID that owns the Coworld.
Secret name.
Secret size in bytes.
Time the secret was last updated.